package com.liquidnet.service.reconciliation.util.excel2bean.base;

import java.util.Date;

/**
 * @author AnJiabin <jiabin.an@lightnet.io>
 * @version V1.0
 * @Description: ConvertDataFactory
 * @class: ConvertDataFactory
 * @Package com.liquidnet.service.reconciliation.util.excel2bean.base
 * @Copyright: LightNet @ Copyright (c) 2020
 * @date 2020/10/22 10:19
 */
public class ConvertDataFactory {
    public static ConvertData getConvertData(Class<?> clazz) {
        if(clazz == Double.class) {
            return new DoubleConvertData();
        } else if(clazz == String.class) {
            return new StringConvertData();
        } else if(clazz == Date.class) {
            return new DateConvertData();
        } else {
            System.out.println("unimplements dataType:" + clazz.getName());
            return null;
        }
    }
}
